
#include "MacroPatternMatch.h"

#include "HROOTHistTH3.h"

#include "HROOTCoreTArrayC.h"

#include "TH3C.h"

#include "HROOTHistTH3C.h"

using namespace ROOT;

#define CHECKPROTECT(x,y) FXIS_PAREN(IS_ ## x ## _ ## y ## _PROTECTED)

#define TYPECASTMETHOD(cname,mname,oname) \
  FXIIF( CHECKPROTECT(cname,mname) ) ( \
  (from_nonconst_to_nonconst<oname,cname ## _t>), \
  (from_nonconst_to_nonconst<cname,cname ## _t>) )


#define IS_TH3C_fill1_PROTECTED ()

#define IS_TH3C_fill1w_PROTECTED ()
TH3_DEF_VIRT(TH3C)
TARRAYC_DEF_VIRT(TH3C)
TH1_DEF_VIRT(TH3C)
TATT3D_DEF_VIRT(TH3C)
TNAMED_DEF_VIRT(TH3C)
TATTLINE_DEF_VIRT(TH3C)
TATTFILL_DEF_VIRT(TH3C)
TATTMARKER_DEF_VIRT(TH3C)
TOBJECT_DEF_VIRT(TH3C)
DELETABLE_DEF_VIRT(TH3C)
TARRAY_DEF_VIRT(TH3C)
TH3C_DEF_VIRT(TH3C)
TH3C_DEF_NONVIRT(TH3C)
TH3C_DEF_ACCESSOR(TH3C)

